import request from '@/utils/request'

// 查询驾校列表
export function listInfo(query) {
  return request({
    url: '/school/info/list',
    method: 'get',
    params: query
  })
}

// 查询驾校详细
export function getInfo(inscode) {
  return request({
    url: '/school/info/' + inscode,
    method: 'get'
  })
}

// 新增驾校
export function addInfo(data) {
  return request({
    url: '/school/info',
    method: 'post',
    data: data
  })
}

// 修改驾校
export function updateInfo(data) {
  return request({
    url: '/school/info',
    method: 'put',
    data: data
  })
}

// 删除驾校
export function delInfo(inscode) {
  return request({
    url: '/school/info/' + inscode,
    method: 'delete'
  })
}

// 导出驾校
export function exportInfo(query) {
  return request({
    url: '/school/info/export',
    method: 'get',
    params: query
  })
}